gwibber text field only accessible if using network-manager

Bug #567037 reported by Nitin Khobragade on 2010-04-20
74
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Gwibber
Undecided
Unassigned
gwibber (ALT Linux)
New
Undecided
Unassigned
gwibber (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: gwibber

no place to type message

please use apport-collect 567037

Randy Barlow (rbarlow) wrote :

Since I didn't create this ticket, I can't run apport-collect. My experience with gwibber-2.30.0.1-0ubuntu1 is that it sometimes seems to get stuck. It won't show any updates anymore, and it won't send any messages I write. It doesn't crash or report any errors when this happens, unfortunately. I wrote about it on this bug, as it seems like similar behavior to me.

I am using, Tata Photon+ mobile internet in Mumbai.

Thank you,
Nitin

On Fri, 2010-04-23 at 15:32 +0000, Omer Akram wrote:
> Thanks for taking time to report this bug. Are you connected to the
> internet which type of internet connection do you use?
>
> ** Changed in: gwibber (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: gwibber (Ubuntu)
> Status: New => Incomplete
>

Thanks for taking time to report this bug. Are you connected to the internet which type of internet connection do you use?

Changed in gwibber (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Omer Akram (om26er) wrote :

I googled it and I found that Tata Photon+ mobile uses wvdial that can be the problem here as gwibber looks for network manager I think.

Thats certainly an issue then. I am not able to use network manager since I
upgraded from Ubuntu 9.04. Neither 9.10 nor 10.04 is able to connect using
the network manager and wvdial (GNome PPP) is the only way to use internet.
Is there any way I can use Network Manager?

Thank you,
Nitin

On Sat, Apr 24, 2010 at 10:32 PM, Omer Akram <email address hidden> wrote:

> I googled it and I found that Tata Photon+ mobile uses wvdial that can
> be the problem here as gwibber looks for network manager I think.
>
> --
> not able to send messages on gwibber
> https://bugs.launchpad.net/bugs/567037
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gwibber” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: gwibber
>
> no place to type message
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gwibber/+bug/567037/+subscribe
>

--
Nitin Khobragade

Omer Akram (om26er) on 2010-05-11
summary: - not able to send messages on gwibber
+ gwibber text field only accessible if using network-manager
Changed in gwibber (Ubuntu):
importance: Low → Medium
status: Incomplete → Triaged
Omer Akram (om26er) on 2011-01-06
Changed in gwibber:
assignee: nobody → Ken VanDine (ken-vandine)
assignee: Ken VanDine (ken-vandine) → nobody
Per Ångström (autark) wrote :

From duplicate bug #668150:

I have made a rudimentary patch to the maverick-updates branch which comments out the connection-state queries and disregards changes in the connection state. With this patch I can now use Gwibber with a wvdial connection.

The downside is that there does not seem to be any error checking in the code, so if you try to send when you really don't have a connection you won't get any error indication and your message will be lost. I have not tried to address that shortcoming.

Robert Roth (evfool) wrote :

I use connman as a connection manager (with indicator-network from maverick), and there is no text entry for me neither in the me menu.

Changed in gwibber:
assignee: nobody → Ken VanDine (ken-vandine)
milestone: none → 3.0
Changed in gwibber:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 3.0.0-0ubuntu1

---------------
gwibber (3.0.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Assume online if NetworkManager isn't available on dbus (LP: #567037)
    - Be less agressive starting a refresh when connection state changes
      to online
    - Less agressive purging of data
 -- Ken VanDine <email address hidden> Tue, 05 Apr 2011 15:01:55 -0400

Changed in gwibber (Ubuntu):
status: Triaged → Fix Released
Changed in gwibber:
status: Fix Committed → Fix Released
assignee: Ken VanDine (ken-vandine) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers